#ifndef FORMSET_H
#define FORMSET_H

#include <vector>
#include <iostream>
#include <sstream>
#include "form.h"

class Formset
{
public:
    Formset(){};
    
    Bbox get_bbox();
    void affiche();
    void add(Form * form_to_add);
    bool interset_formset(Formset & fs);
    bool no_intersect_with_set();
    void delete_forms();

private:
    std::vector<Form *> formset;
    Bbox bbox_of_set;
};

std::ostream & operator<<(std::ostream & o, Formset & fs); 

void formset_lecture(std::ifstream& ifs, Formset & fs);

// bool test_formset(Formset & fs);
void add_formset(Formset & fs);
void affiche_formset_valid();

#endif
