#ifndef GTKMM_EXAMPLE_LAYOUTBUTTONS_H
#define GTKMM_EXAMPLE_LAYOUTBUTTONS_H

#include <gtkmm.h>

class LayoutButtons : public Gtk::Window
{
public:
  LayoutButtons();
  virtual ~LayoutButtons();

protected:
  //Signal handlers:
  void on_button_clicked_Hello();
  void on_button_clicked_Bonjour();
  void on_button_clicked_Monsieur();
  void on_button_clicked_Madame();
  void on_button_clicked_Fin();
 
  //Child widgets:
  Gtk::Box m_Box_Top, m_Box1, m_Box2;
  Gtk::Separator m_Separator1;
  Gtk::Separator m_Separator2;
  Gtk::Label  m_Label_Salutation;
  Gtk::Label  m_Label_Destinataire;
  Gtk::Label  m_Label_Fin;
  Gtk::Button m_Button_Hello;
  Gtk::Button m_Button_Bonjour;
  Gtk::Button m_Button_Monsieur;
  Gtk::Button m_Button_Madame;
  Gtk::Button m_Button_Fin;
};

#endif //GTKMM_EXAMPLE_LAYOUTBUTTONS_H
